Installer - Bug #31234

Users have to delete ssl-build/<capsule> directory and regenerate the certificates to add a cname in
capsule certificates

11/02/2020 08:53 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: foreman-installer script
Target version: 2.3.0
Difficulty: Fixed in Releases: 2.3.0
Triaged: Yes Found in Releases:
Bugzilla link: 1857176 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/608

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1857176

Description of problem:
Satellite 6.8 capsule-certs-generate does not include cname in apache certificates when specified via --foreman-proxy-cname’

Version-Release nhumber of selected component (if applicable):
Satellite 6.8.0

How reproducible:
Always

Steps to Reproduce:

1. Setup: 1 Sattelite and 2 capsules(puppet ca capsule + normal capsule) with a loadbalancer and a client

2. Referring to

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.7/html-single/load balancing_guide/index#configuring-capsule-se
rver-with-default-ssl-certificates-for-load-balancing-with-puppet (4.2)

Actual results:
Client is not able to register through subscription-manager. Resulting in "Unable to reach the server at
<loadbalancer.example.com>:8443/rhsm"

Expected results:
Client should be able to register through subscription-manager via loadbalancer

Additional info:

1. The certs on the capsules are missing the CNAME, which subscription-manager needs to register properly through the LB +
capsule.

While viewing the cert with openssl, there is no DNS entry related to the loadbalancer. Unlike in 6.7 where it worked fine.

2. Please note the puppet command
#puppet cert generate capsule.example.com --dns_alt_names=Iloadbalancer.example.com is no longer functional.
Use “#puppetserver ca’ instead

Associated revisions

Revision 8b9d3928 - 11/05/2020 08:07 PM - Eric Helms

Fixes #31234: Create new certificate bundle everytime

The first time a certificate bundle is created for a foreman proxy

any updates a user wishes to make are not reflected in the bundle
unless the user deletes it on disk or explicitly passes --certs-regenerate.
Given the foreman-proxy-certs-generate command is intended for
users to generate bundles for a foreman-proxy, this bundle should

be generated, with updates, anytime a user runs the command. This

05/20/2024 12



https://bugzilla.redhat.com/show_bug.cgi?id=1857176
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.7/html-single/load_balancing_guide/index#configuring-capsule-server-with-default-ssl-certificates-for-load-balancing-with-puppet
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.7/html-single/load_balancing_guide/index#configuring-capsule-server-with-default-ssl-certificates-for-load-balancing-with-puppet

enables that change by setting regenerate to true as the default.

History

#1 - 11/02/2020 08:59 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/608 added

#2 - 11/05/2020 08:08 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#3 - 11/05/2020 09:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset installer|8b9d39288266159298abd25ece13e87b34a2265d.

#4 - 11/16/2020 02:44 PM - Tomer Brisker
- Fixed in Releases 2.3.0 added
- Fixed in Releases deleted (2.4.0)

#5 - 11/30/2020 05:52 PM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script
- Target version set to 2.3.0

- Triaged changed from No to Yes
